# -*- coding: utf-8 -*-
"""
Created on Thu Sep 17 13:26:05 2020

@author: DOMEN
"""

from generic_module import Module
from collections import deque
from lxml import etree
from py_logging.cestel_logging import log, log_exception
import threading
import logging

class FixModule(Module):
  def __init__(self, name, root_path):
    Module.__init__(self, name, root_path)
    
    self.vehicles_deque = deque()
    self.deque_lock = threading.Lock()

  def set_swd_version(self, version):
    self.swd_version = version
    
  def add_vehicle(self, vehicle):
    with self.deque_lock:
      self.vehicles_deque.append(vehicle)
  
    